<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FSW13-DekaMersandi-Challenge-1/4</title>
    
    <!-- Link API Bootstrap Versi 5 -->
    <link 
    href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" 
    rel="stylesheet" 
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" 
    crossorigin="anonymous">

    <!-- Link API OwlCarousel2 -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.css"/>

    <!-- Link Styling CSS -->
    <link rel="stylesheet" href="./css/style.css">
    <!-- <link rel="stylesheet" href="./css/cars-style.css"> -->
    <link rel="stylesheet" href="./css/responsive.css">
    <link rel="stylesheet" href="./css/bootstrap.min.css" />

    <style>
        table,tr,td{
            border: 1px solid;
        }
    </style>

    <style>
        .filter {
        height: 100%;
        width: 0;
        position: fixed;
        z-index: 1;
        top: 0;
        left: 0;
        overflow-x: hidden;
        padding-top: 60px;
        text-align: center;
        background-color: rgba(0, 0, 0, 0.6);
        }
    </style>
</head>

<body>
    <section id="navigation">
        <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
            <div class="container-fluid">
                <a class="navbar-brand" href="#"><div id="logo"></div></a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav ms-auto mb-2 mb-lg-0" >
                        <li class="nav-item me-3">
                            <a class="nav-link" aria-current="page" href="#our-service"> <strong>Our Services</strong></a>
                        </li>
                        <li class="nav-item me-3">
                            <a class="nav-link" href="#why-us"><strong>Why Us</strong></a>
                        </li>
                        <li class="nav-item me-3">
                            <a class="nav-link" href="#testimonial"><strong>Testimonial</strong></a>
                        </li>
                        <li class="nav-item me-3">
                            <a class="nav-link" href="#faq"><strong>FAQ</strong></a>
                        </li>
                    </ul>
                    <form class="d-flex">
                    <button class="btn btn-outline-success me-3" type="submit">Register</button>
                    </form>
                </div>
            </div>
        </nav>
    </section>
    
    <!-- Banner -->
    <section id="banner" class="container-fluid">
        <div class="row">
            <div class="col-lg-5 offset-lg-1 banner-content-left mt-lg-5 col-sm-12 offset-sm-0">
                <h1 id=""><strong>Sewa & Rental Mobil Terbaik di Kawasan (Lokasimu)</strong></h1>
                <p class="mt-2">Selamat datang di Binar Car Rental. Kami menyediakan mobil kualitas terbaik dengan harga terjangkau. Selalu siap melayani kebutuhanmu untuk sewa mobil selama 24 jam.</p>
                <!-- <a href="cars.html">
                    <button type="button" class="btn btn-primary" >Mau Sewa Mobil</button>
                </a> -->
            </div>
            <div class="col-lg-6 mt-5">
                <img src="./images/img-car.svg" alt="banner mobil">
            </div>
        </div>
    </section>
<!-- Logic Rizki utk background color gelap nya -->
<div class="filter" id="filter" onclick="inactiveDarkBackground()"></div>

<!-- <main> -->
    <!-- Search Car -->
    <!-- <div class="container border bg-white rounded p-5 mt-3 position-relative" style="z-index: 2;">
      <div class="row gx-3 gy-2 align-items-center" onClick="activeDarkBackground()">
        <div class="col-sm-3">
          <label class="text-white visually-hidden" for="specificSizeSelect">Tipe Driver</label>
          <select class="form-select" id="specificSizeSelect">
            <option selected>Pilih Tipe Driver</option>
            <option value="1">Dengan Supir</option>
            <option value="2">Tanpa Supir (Lepas Kunci)</option>
          </select>
        </div>
        <div class="col-sm-3">
          <label class="visually-hidden" for="specificSizeSelect">Tanggal</label>
          <input type="date" class="form-select" id="specificSizeSelect">
        </div>
        <div class="col-sm-2">
          <label class="visually-hidden" for="specificSizeSelect">Waktu Jemput/Ambil</label>
          <select class="form-select" id="specificSizeSelect">
            <option selected>Pilih Waktu</option>
            <option value="1">
              <p class="text-start">08:00</p>
              <p class="text-end">WIB</p>
            </option>
            <option value="2">
              <p class="text-start">09:00</p>
              <p class="text-end">WIB</p>
            </option>
            <option value="3">
              <p class="text-start">10:00</p>
              <p class="text-end">WIB</p>
            </option>
            <option value="4">
              <p class="text-start">11:00</p>
              <p class="text-end">WIB</p>
            </option>
            <option value="5">
              <p class="text-start">12:00</p>
              <p class="text-end">WIB</p>
            </option>
          </select>
        </div>
        <div class="col-sm-3">
          <label class="visually-hidden" for="specificSizeInputGroupUsername">Jumlah Penumpang (Optional)</label>
          <div class="input-group">
            <input id="passenger" type="text" class="form-control" id="specificSizeInputGroupUsername"
              placeholder="Jumlah Penumpang">
            <div class="input-group-text">
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                class="bi bi-people-fill" viewBox="0 0 16 16">
                <path d="M7 14s-1 0-1-1 1-4 5-4 5 3 5 4-1 1-1 1H7zm4-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6z" />
                <path fill-rule="evenodd"
                  d="M5.216 14A2.238 2.238 0 0 1 5 13c0-1.355.68-2.75 1.936-3.72A6.325 6.325 0 0 0 5 9c-4 0-5 3-5 4s1 1 1 1h4.216z" />
                <path d="M4.5 8a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5z" />
              </svg>
            </div>
          </div>
        </div>
        <div class="col-sm-1">
          <div>
            <button class="btn btn-warning" onClick="app.init().then(app.run)">Cari Mobil</button>
          </div>
        </div>
      </div>
    </div> -->
    <!-- End Search Car -->
  <!-- </div> -->

  <!-- <button id="load-btn">Load</button>
  <button id="clear-btn">Clear</button>
  <div class="row px-2" id="cars-container"></div>
</main> -->


 <!-- STAR SEARCH BUTTON -->
 <div id="search" class="container position-relative" style="z-index: 2;">
  <div id="searchColumn" class="card-search card p-3" onClick="activeDarkBackground()">
    <div class="row">
      <div class="col-lg-2 col-sm-6 col-12">
        <div>
          <label for="">Tipe Driver</label>
        </div>
        <div class="dropdown">
          <button class="btn btn-outline-success dropdown-toggle w-100" type="button" data-bs-toggle="dropdown"
            aria-expanded="false">Pilih Tipe Driver</button>
          <ul class="dropdown-menu">
            <li><a class="dropdown-item" href="#">Dengan Sopir</a></li>
            <li><a class="dropdown-item" href="#">Tanpa Sopir (Lepas Kunci)</a></li>
          </ul>
        </div>

      </div>
      <div class="col-lg-2 col-sm-6 col-12">
        <label for="inputDate">Tanggal</label>
        <input id="inputDate" class="form-control" type="date" placeholder="" />
      </div>
      <div class="col-lg-3 col-sm-6 col-12  form-group has-feedback">
        <label for="inputTime">Waktu Jemput/ Ambil</label>
        <input step="1" id="inputTime" class="form-control" type="time" placeholder="Pilih Waktu" />
      </div>
      <div class="col-lg-3 col-sm-6 col-12">
        <label for="startDate">Jumlah Penumpang</label>
        <div class="input-group mb-3">
          <input id="jumlahPenumpang" type="number" class="form-control" placeholder="Jumlah Penumpang"
            aria-label="Username" aria-describedby="basic-addon1" aria-placeholder="Pilih Waktu">
        </div>
      </div>
      <div class="col-lg-2 col-sm-12 col-12 d-flex justify-content-center align-self-center" >
        <button id="submitBtn" class="btn-rent-car w-100"  >Cari Mobil</button>
      </div>
    </div>
  </div>
</div>
<!-- END SEARCH BUTTON -->

<!-- START LIST CAR -->
<div class="container mt-4">
  <div id="cars-container" class="row row-cols-lg-3 row-cols-sm-2 row-cols-1 g-3">
  </div>
</div>
<!-- END LIST CAR -->

    <!-- Footer -->
    <section id="footer" class="container-fluid" >
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <p>Jalan Suroyo No. 161 Mayangan Kota Probolonggo 672000</p>
                    <p >binarcarrental@gmail.com</p>
                    <p>081-233-334-808</p>
                </div>
                <div class="col-lg-2">
                    <p><a href="#our-service"><strong>Our services</strong></a></p>
                    <p><a href="#why-us"><strong>Why Us</strong></a></p>
                    <p><a href="#testimonial"><strong>Testimonial</strong></a></p>
                    <p><a href="#faq"><strong>FAQ</strong></a></p>
                </div>
                <div class="col-lg-3">
                    <p>Connect with us</p>
                    <p><img src="./images/icon-facebook.svg"><img src="./images/icon-instagram.svg"><img src="./images/icon-twitter.svg"><img src="./images/icon-mail.svg"><img src="./images/icon-twitch.svg"></p>
                </div>
                <div class="col-lg-2">
                    <p>Copyright Binar 2022</p>
                    <p><div id="logo"></div></p>
                </div>
            </div>
        </div>
    </section>
    <!-- Footer End -->

<script 
    src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" 
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" 
    crossorigin="anonymous">
</script>
<script type="text/javascript" src="./scripts/binar.js"></script>
<script type="text/javascript" src="./scripts/app.example.js"></script>
<script type="text/javascript" src="./scripts/car.example.js"></script>
<script type="text/javascript" src="./scripts/main.example.js"></script>

<script>
  function activeDarkBackground() {
    document.getElementById("filter").style.width = "100%";
  }

  function inactiveDarkBackground() {
    document.getElementById("filter").style.width = "0";
  }
</script>

</body>
</html>